org.eclipse.net4j.util.event

## Class EventPrinter

- java.lang.Object
- - org.eclipse.net4j.util.event.EventPrinter

- All Implemented Interfaces:
    java.util.EventListener, IListener

      public class EventPrinter
      extends java.lang.Object
      implements IListener

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventPrinter()`
    `EventPrinter(java.io.PrintStream stream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyEvent(IEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventPrinter

          public EventPrinter(java.io.PrintStream stream)

    - #### EventPrinter

          public EventPrinter()

  - ### Method Detail

    - #### notifyEvent

          public void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html